using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.Mobile;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.MobileControls;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace Student.Mobile
{
	// klasa odpowiedzialna za wywietlenie interfejsu na PocketPC umoliwiajcego edycj ocen 
	public class MobileEdytujOcene : System.Web.UI.MobileControls.MobilePage
	{
		protected System.Web.UI.MobileControls.DeviceSpecific DeviceSpecific1;
		protected System.Web.UI.MobileControls.SelectionList StudentList;
		protected System.Web.UI.MobileControls.SelectionList PrzedmiotList;
		protected System.Web.UI.MobileControls.TextBox OcenaPole;
		protected System.Web.UI.MobileControls.Command Dodaj;
		protected System.Web.UI.MobileControls.Link powrot;
		int IdOceny=0;
		int NrAlbumu=0;
		string Album = "0";
		protected System.Web.UI.MobileControls.Form DodajForm;
		protected System.Web.UI.MobileControls.Link powrt;
		protected System.Web.UI.MobileControls.Label inform;
		protected System.Web.UI.MobileControls.Command akceptuj;
		protected System.Web.UI.MobileControls.TextBox OcenaP;
		protected System.Web.UI.MobileControls.Label PrzedmiotP;
		protected System.Web.UI.MobileControls.Label WydzialP;
		protected System.Web.UI.MobileControls.Label ImieP;
		protected System.Web.UI.MobileControls.Label NazwiskoP;
		protected System.Web.UI.MobileControls.Label AlbumuLabel;
		protected System.Web.UI.MobileControls.Panel SzczegolyPanel;
		protected System.Web.UI.MobileControls.DeviceSpecific Devicespecific2;
		protected System.Web.UI.MobileControls.Form PoprawForm;
		string Przedmiot="0";
		protected System.Web.UI.MobileControls.Label info;
		decimal stopien;

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Sprawdzenie czy uytkownik uruchamiajacy stron jest Wykadowc
			if (StudentOchrona.SprawdzenieFunkcji("Wykladowca") == false)
			{
				this.RedirectToMobilePage("~/Mobile/MobileBrakUprawnien.aspx");

			}
			// sprawdzenie czy podane s parametry
			if ((Request.Params["idOceny"] != null)||(Request.Params["nrAlbumu"] != null))

			{
				NrAlbumu=Int32.Parse(Request.Params["nrAlbumu"]);
				IdOceny=Int32.Parse(Request.Params["idOceny"]);
			}
			if (Page.IsPostBack == false)
			{	
				//Sprawdzenie czy jesy idOceny 
				if (Request.Params["idOceny"] != null)
				{
					// uruchomienie formularza odpowiedzialnego za poprawianie danych
					ActiveForm=PoprawForm;
					Student.StudentCTR dane = new Student.StudentCTR();
					//Wczytanie danych
					SqlDataReader dr = dane.ZobaczJednegoStudenta(NrAlbumu);
                
					// czytanie pierwszego wiersza
					dr.Read();
					// do kadego pola jest przypisywana warto komrki z tabeli Student
					NazwiskoP.Text = (String) dr["nazwisko"];
					ImieP.Text = (String) dr["imie"];
					WydzialP.Text = (String) dr["wydzial"];
                   
					// zamknicie odczytu danych
					dr.Close();
					//Przypisanie kontrolce wartoci zmiennej NrAlbumu
					//jednoczenie nastepuje zapisanie tej zmiennej w postaci string
					AlbumuLabel.Text =NrAlbumu.ToString();
	
			
					// Tworzenie egzemplarza klasy OcenaCRT     
					Student.OcenaCTR ocena = new Student.OcenaCTR();
					//Wczytanie danych
					SqlDataReader oc = ocena.ZobaczWybranaOcena(IdOceny);
                
					// czytanie pierwszego wiersza
					oc.Read();
					// do kadego pola jest przypisywana warto odpowiedniej
					PrzedmiotP.Text = (String) oc["nazwaPrzedmiotu"];
					OcenaP.Text = ((decimal) oc["ocena"]).ToString();
  
					// zamknicie odczytu danych
					oc.Close();
				}
				else
				{
					// uruchominie formularza odpowiedzialnego za umoliwienie dadania oceny
					ActiveForm=DodajForm;
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			// obsuga kontlek dropdownlist
			// PrzedmiotList
			Student.OcenaCTR przed = new Student.OcenaCTR();
			PrzedmiotList.DataSource = przed.WezPrzedmiot();	
			PrzedmiotList.DataTextField= "nazwaPrzedmiotu";
			PrzedmiotList.DataValueField="idPrzedmiotu";
			PrzedmiotList.DataBind();
        
			//StudentList
			Student.StudentCTR stu = new Student.StudentCTR();
			StudentList.DataSource = stu.WezDaneStudent();	
			StudentList.DataTextField= "stud";
			StudentList.DataValueField="nrAlbumu";
			StudentList.DataBind();

			base.OnInit(e);
		}

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Dodaj.Click += new System.EventHandler(this.Dodaj_Click);
			this.akceptuj.Click += new System.EventHandler(this.Popraw);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Dodaj_Click(object sender, System.EventArgs e)
		{
			//Wczytanie danych z kontrolek rozwijanych
			Album=StudentList.SelectedIndex.ToString();
			Przedmiot=PrzedmiotList.SelectedIndex.ToString();	
			
			//Sprawdzenie czy student ma ju ocen z danego przdmiotu
			
			Student.OcenaCTR oceniony= new  Student.OcenaCTR();
			SqlDataReader ma = oceniony.SprawdzeniePowtorzenia(Convert.ToInt32(Przedmiot),Convert.ToInt32(Album));
			ma.Read();
			stopien = (decimal) ma ["stopien"];
			ma.Close();
			if (stopien != 0)
			{
				inform.Text="BD! Student ju wczeniej otrzyma z tego przedmiotu: " + stopien;
				inform.Visible=true;
			}
			else
			{
				// sprawdzenie czy ocena jest  we waciwym zakresie
				 stopien=Convert.ToDecimal(OcenaPole.Text);
				if((stopien<2) ||(stopien>5))
				{
					inform.Text="BD! Zakres ocen od 2 do 5";
					inform.Visible=true;
				}
				else
				{
					// Tworzenie egzemplarza klasy OcenaCTR
					Student.OcenaCTR oce = new  Student.OcenaCTR();

					// Dodanie danych do tabeli Oceny po przez odwoanie si do metody DodajOcene 
					oce.DodajOcene(Convert.ToInt32(Album),IdOceny,Convert.ToInt32(Przedmiot),Convert.ToDecimal(OcenaPole.Text),Context.User.Identity.Name );
					//powrt na stron poprzedni   
					this.RedirectToMobilePage("~/Mobile/MobileWykladowca.aspx");
				}
				}
			}

		public void Popraw(object sender, System.EventArgs e)
		{
			// sprawdzenie czy ocena jest w we waciwym zakresie
			decimal stopien=Convert.ToDecimal(OcenaP.Text);
			if((stopien<2) ||(stopien>5))
			{
				info.Text="BD! Zakres ocen od 2 do 5";
				info.Visible=true;
			}
			else
			{
				
				// Tworzenie egzemplarza klasy OcenaCTR
				Student.OcenaCTR ocena = new  Student.OcenaCTR();
		
				// Poprawienie danych w tabeli Oceny
				ocena.PoprawOcene(IdOceny,Convert.ToDecimal(OcenaP.Text),Context.User.Identity.Name );
				this.RedirectToMobilePage("~/Mobile/MobileWykladowca.aspx");
			}
		}
	}
}
