using System;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace Student {
            
    public abstract class Uzytkownik : Student.Ustawienia 
	{

     
		protected System.Web.UI.WebControls.DropDownList wszyscyUzytkownicy;
		protected System.Web.UI.WebControls.LinkButton Dodaj;
		protected System.Web.UI.WebControls.ImageButton EdytujBtn;
		protected System.Web.UI.WebControls.ImageButton KasujBtn;
    

        
        private void Page_Load(object sender, System.EventArgs e) {

            // Sprawdzenie czy dany typ uytkownika ma dostp do strony
            if (StudentOchrona.SprawdzenieFunkcji("Admins") == false) 
			{
                Response.Redirect("~/ochrona/BrakUprawnien.aspx");
            }

              if (Page.IsPostBack == false)
			{

                BindData();
            }
        }

        //Zdarzenie odpowiada za skasowanie uytkownika
        private void KasujUzytkownikow_Click(Object Sender, ImageClickEventArgs e) 
		{

            // Pobiera id uytkownika z listy rozwijanej
            UzytkownikCTR osoba = new UzytkownikCTR();
            osoba.KasujUzytkownika(Int32.Parse(wszyscyUzytkownicy.SelectedItem.Value));
        
            // przeadowanie listy
            BindData();
        }
    
        // Zdarzenie obsugujce kliknicie w ikone  educji odpowiada przejcie
		// na stron edycji	
        private void EdytujUzytkownikow_Click(Object Sender, CommandEventArgs e)
		{

            // pobranie id uytkownika uytkownika z listy rozwijanej
            int uzytkownikID = -1;
            String _nazwaUzytkownika = "";
        
            if (e.CommandName == "edytuj") 
			{
        
                uzytkownikID = Int32.Parse(wszyscyUzytkownicy.SelectedItem.Value);
                _nazwaUzytkownika = wszyscyUzytkownicy.SelectedItem.Text;
            }
        
            // przejcie na stron umoliwiajc edycj 
         	Response.Redirect("~/Admin/ZarzadzanieUzytkownikami.aspx?uzytkownikID=" + uzytkownikID + "&nazwaUzytkownika=" + _nazwaUzytkownika);
       
		}
    

		// metoda BindData odpowiada za wypenienie listy rozwijanej nazwami uytkownikw
        private void BindData() {
    
            
              //Pobranie nazwy uytkownikw z bazy danych
            RoleCTR funkcja = new RoleCTR();
        
            // bind all portal users to dropdownlist
            wszyscyUzytkownicy.DataSource = funkcja.WezUzytkownikow();
            wszyscyUzytkownicy.DataBind();
        }
    
        public Uzytkownik() 
		{
            this.Init += new System.EventHandler(Page_Init);
        }

        private void Page_Init(object sender, EventArgs e) {
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
        }

		#region Web Form Designer generated code
        ///		Required method for Designer support - do not modify
        ///		the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent() {
			this.EdytujBtn.Command += new System.Web.UI.WebControls.CommandEventHandler(this.EdytujUzytkownikow_Click);
			this.KasujBtn.Click += new System.Web.UI.ImageClickEventHandler(this.KasujUzytkownikow_Click);
			this.Dodaj.Command += new System.Web.UI.WebControls.CommandEventHandler(this.EdytujUzytkownikow_Click);
			//this.Dodaj.Click += new System.EventHandler(this.EdytujUzytkownikow_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		

		
    }
}
