using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;


namespace Student {
//klasa odpowiedzialna za zbadanie czy uytkownik korzysta z urzdzenia mobilnego
    public class Default : System.Web.UI.Page {

        public Default() {
            Page.Init += new System.EventHandler(Page_Init);
        }

        private void Page_Load(object sender, System.EventArgs e) {
			// Prawdzenie jakiego rodzaju urzdzenie otwiera stron
            if (Request.Browser["IsMobileDevice"] == "true" ) {
			//Przekierowanie na stron przeznaczon dla urzdze mobilnych
                Response.Redirect("~/Mobile/MobileDefault.aspx");
            }
            else {
			// Przekierowanie na stron dla standartowych (Desktop'owych)urzdze 
                Response.Redirect("DesktopDefault.aspx");
            }
        }

        private void Page_Init(object sender, EventArgs e) {
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
        }

		#region Web Form Designer generated code
        
        private void InitializeComponent() {    
            this.Load += new System.EventHandler(this.Page_Load);
        }
		#endregion
    }
}
