using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace Student
{
	//Klasa DodajOcene jest interfejsem umoliwiajacym dodanie nowej oceny
    public class DodajOcene: System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.LinkButton updateButton;
		protected System.Web.UI.WebControls.DropDownList StudentList;
		protected System.Web.UI.WebControls.TextBox OcenaPole;
		protected System.Web.UI.WebControls.DropDownList PrzedmiotList;
		protected System.Web.UI.WebControls.LinkButton cancelButton;
		int IdOceny=0;
		protected System.Web.UI.WebControls.Label Przedmiot;
		protected System.Web.UI.WebControls.Label inform;
		protected System.Web.UI.WebControls.Label Album;
		decimal stopien;

        private void Page_Load(object sender, System.EventArgs e)
		{
			
			
        }

        // Zdarzenie UpdateBtn_Click wywoane przyciskiem "Zatwierd" umoliwa
		// dodanie lub uaktualnienie danych
       private void UpdateBtn_Click(Object sender, EventArgs e) {

            
                // Tworzenie egzemplarza klasy OcenaCTR
                Student.OcenaCTR oce = new  Student.OcenaCTR();

		   //Sprawdzenie czy student ma ju ocen z danego przdmiotu
		   
		   Student.OcenaCTR oceniony= new  Student.OcenaCTR();
		   SqlDataReader ma = oceniony.SprawdzeniePowtorzenia(Convert.ToInt32(Przedmiot.Text),Convert.ToInt32(Album.Text));
		   ma.Read();
		   stopien = (decimal) ma ["stopien"];
		   ma.Close();
		   if (stopien != 0)
		   {
			   inform.Text="BD! Student ju wczeniej otrzyma z tego przedmiotu: " + stopien;
			   inform.Visible=true;
		   }
		   else
		   {
			//sprawdzenie zakresu zmiennych
			  stopien=Convert.ToDecimal(OcenaPole.Text);
			   if((stopien<2) ||(stopien>5))
			   {
				   inform.Text="BD! Zakres ocen od 2 do 5";
				   inform.Visible=true;
			   }
			   else
			   {  // Dodanie danych do tabeli Oceny po przez odwoanie si do metody DodajOcene 
				   oce.DodajOcene(Convert.ToInt32(Album.Text),IdOceny,Convert.ToInt32(Przedmiot.Text),Convert.ToDecimal(OcenaPole.Text),Context.User.Identity.Name );
                
				   // powrt na stron pocztkow
				   Response.Redirect("~/Wykladowca.aspx");
			   }
			   }  
        }

      
		
		// Zdarzenie CancelBtn_Click wywoane przyciskiem "Zrezygnuj" umoliwa
		// powrt na stron pocztkow bez zmianw bazie danych
        private void CancelBtn_Click(Object sender, EventArgs e) 
		{
			// powrt na stron pocztkow
			Response.Redirect("~/Wykladowca.aspx");
        }
        
        public DodajOcene() 
		{
            Page.Init += new System.EventHandler(Page_Init);
        }

        private void Page_Init(object sender, EventArgs e)
		{
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
			
			// Sprawdzenie czy uruchamiajacy stron jest wykadowc
			if (StudentOchrona.SprawdzenieFunkcji("Wykladowca") == false)
			{
				Response.Redirect("~/ochrona/BrakUprawnien.aspx");
			}


		// obsuga kontlek dropdownlist
			// PrzedmiotList
			Student.OcenaCTR przed = new Student.OcenaCTR();
			PrzedmiotList.DataSource = przed.WezPrzedmiot();	
			PrzedmiotList.DataTextField= "nazwaPrzedmiotu";
			PrzedmiotList.DataValueField="idPrzedmiotu";
			PrzedmiotList.DataBind();
        
			//StudentList
			Student.StudentCTR stu = new Student.StudentCTR();
			StudentList.DataSource = stu.WezDaneStudent();	
			StudentList.DataTextField= "stud";
			StudentList.DataValueField="nrAlbumu";
			StudentList.DataBind();
		}


		#region Web Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent() {    
			this.StudentList.SelectedIndexChanged += new System.EventHandler(this.Wybierz_Student);
			this.PrzedmiotList.SelectedIndexChanged += new System.EventHandler(this.Wybierz_Przedmiot);
			this.updateButton.Click += new System.EventHandler(this.UpdateBtn_Click);
			this.cancelButton.Click += new System.EventHandler(this.CancelBtn_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Wybierz_Przedmiot(object sender, System.EventArgs e)
		{
			Przedmiot.Text=PrzedmiotList.SelectedItem.Value.ToString();		
	
	}

		private void Wybierz_Student(object sender, System.EventArgs e)
		{
			Album.Text=StudentList.SelectedItem.Value.ToString();
			
	
				
		}

		
    }
}
