using System;
using System.Web.Security;
using System.Collections;
using System.Web.Mobile;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Web.UI.MobileControls;
using System.Data.SqlClient;


namespace Student
{
	// klasa odpowiedzialna za wywietlenie nagwka strony przeznaczonej na PocketPC
	public abstract class MobileStudentBanner : System.Web.UI.UserControl
	 {
		protected System.Web.UI.MobileControls.Link Start;
		protected System.Web.UI.MobileControls.Image Image1;
		protected System.Web.UI.MobileControls.Link Logowanie;
		protected System.Web.UI.MobileControls.Command Wyloguj;
		protected System.Web.UI.MobileControls.Label Powitanie;
		protected System.Web.UI.MobileControls.Link Oceny;

		
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Sprawdzenie czy nastapia autoryzacja
			if (Request.IsAuthenticated == true)	
			
			{
				String[] roles;
				// Pobranie rl uytkownika
				UzytkownikCTR user = new UzytkownikCTR();
				roles = user.WezRole(Context.User.Identity.Name);
                
				// stworzenie string, a w celu zapisania rl
				String roleStr = "";
				foreach (String role in roles) 
				{
					roleStr += role;
					
				}
				
				if (roleStr == "Wykladowca")
				{
					Oceny.Visible=true;
				
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			// zarzdzanie logowaniem
			if (Request.IsAuthenticated == true)
			{
				Logowanie.Visible=false;
				Powitanie.Visible=true;
				Powitanie.Text = String.Format("Witaj {0}", Context.User.Identity.Name);
				Wyloguj.Visible=true;
                
			}
			base.OnInit(e);
		}
		
		private void InitializeComponent()
		{
			this.Wyloguj.Click += new System.EventHandler(this.Wyloguj_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
// zdarzenie odowiedzilane za wylogowanie uytkownika z systemu
		private void Wyloguj_Click(object sender, System.EventArgs e)
		{
			Logowanie.Visible=true;
			Powitanie.Visible=false;
			Wyloguj.Visible=false;
			FormsAuthentication.SignOut();
			
			// przekierowanie na stron startow
			System.Web.UI.MobileControls.MobilePage strona =new System.Web.UI.MobileControls.MobilePage();		
			strona.RedirectToMobilePage("~/Mobile/MobileDefault.aspx");
			
			
		}
	}
}
