using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace Student 
{
// klasa odpowiedzialna za wywietlenie nagowka kadej strony
    public abstract class StudenciBanner : System.Web.UI.UserControl
 {

		protected System.Web.UI.WebControls.Label Powitanie;
		protected System.Web.UI.WebControls.LinkButton Start;
		protected System.Web.UI.WebControls.Label nazwa;
		protected System.Web.UI.WebControls.LinkButton Admin;
        protected String    WylogujLink = "";
		protected System.Web.UI.WebControls.LinkButton Oceny;
		
		

        private void Page_Load(object sender, System.EventArgs e) {

			// Sprawdzenie czy nastapia autoryzacja
			if (Request.IsAuthenticated == true)	
			
			{
			String[] roles;
				// Pobranie rl z ciasteczka na podstawie nazwy uytkownika
				UzytkownikCTR user = new UzytkownikCTR();
				roles = user.WezRole(Context.User.Identity.Name);
                
				// stworzenie zmiennej string z rolami
				String roleStr = "";
				foreach (String role in roles) 
				{
					roleStr += role;
					//roleStr += ";";
				}
				if (roleStr == "Admins")
				{
					Admin.Visible=true;
				
				}
				if (roleStr == "Wykladowca")
				{
					Oceny.Visible=true;
				
				}
			}
				
				

            // Jeli uytkownik jest zalogowany nastpuje personalizacja strony poprzez wywietlenia nazwy uytkownika 
            if (Request.IsAuthenticated == true) {
        
                Powitanie.Text = "Witaj " + Context.User.Identity.Name + "! <" + "span class=Accent" + ">|<" + "/span" + ">";

                // Jeli form autoryzacji jest zabezpieczenie Forms to wywietlony jest link do wylogowania 
                if (Context.User.Identity.AuthenticationType == "Forms") {
                    WylogujLink = "<" + "span class=\"Accent\">|</span>\n" + "<" + "a href=" + Global.GetApplicationPath(Request)+ "/Ochrona/Wyloguj.aspx class=SiteLink> Wyloguj" + "<" + "/a>";
                }
            }

         
        }
        
        public StudenciBanner() {
            this.Init += new System.EventHandler(Page_Init);
        }

        private void Page_Init(object sender, EventArgs e) {
            //
            // CODEGEN: This call is required by the ASP.NET Web Form Designer.
            //
            InitializeComponent();
        }

		#region Web Form Designer generated code
        ///		Required method for Designer support - do not modify
        ///		the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent() {
			this.Start.Click += new System.EventHandler(this.Start_Click);
			this.Admin.Click += new System.EventHandler(this.Admin_Click);
			this.Oceny.Click += new System.EventHandler(this.Oceny_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Start_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("~/DesktopDefault.aspx");
		}

		private void Admin_Click(object sender, System.EventArgs e)
		{
		Response.Redirect("~/Administrator.aspx");
		}

		private void Oceny_Click(object sender, System.EventArgs e)
		{
			Response.Redirect("~/Wykladowca.aspx");
		}
    }
}
